Bug 736753

Summary: Always warnings on start
Product: [Fedora] Fedora Reporter: Pavel Alexeev <pahan>
Component: groovyAssignee: Mikolaj Izdebski <mizdebsk>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: dbhole, lkundrak, mizdebsk, ppecka
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 1.8.9-8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1052291 (view as bug list) Environment:
Last Closed: 2014-01-13 15:13:43 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Pavel Alexeev 2011-09-08 15:51:22 UTC
Description of problem:
$ groovy -e 'println "test";'
/usr/bin/build-classpath: error: Could not find ../jvm/java/lib/tools Java extension for this JVM
/usr/bin/build-classpath: error: Some specified jars were not found
test

Version-Release number of selected component (if applicable):
$ rpm -q jpackage-utils groovy
jpackage-utils-1.7.5-5.fc15.noarch
groovy-1.8.0-2.fc15.noarch

How reproducible:
Always

Comment 1 hannes 2011-09-08 17:44:42 UTC
I couldn't reproduce it so I would like you to ask to give me the output of the following command:
sh -x /usr/bin/build-classpath ../jvm/java/lib/tools

and please:
rpm -qa | grep java-1.6.0-openjdk-devel

Comment 2 Pavel Alexeev 2011-09-09 07:19:29 UTC
[pasha@vbox groovy]$ sh -x /usr/bin/build-classpath ../jvm/java/lib/tools 2>&1 > build-classpath.log
+ '[' -r /usr/share/java-utils/java-functions ']'
+ . /usr/share/java-utils/java-functions
++ _JAVA_HOME=
++ '[' -f /etc/java/java.conf ']'
++ . /etc/java/java.conf
+++ JAVA_LIBDIR=/usr/share/java
+++ JNI_LIBDIR=/usr/lib/java
+++ JVM_ROOT=/usr/lib/jvm
+++ JAVACMD_OPTS=
++ '[' -f /home/pasha/.java/java.conf ']'
++ '[' '!' -z '' -a -d '' ']'
+ '[' 1 -eq 0 ']'
+ set_javacmd
+ '[' -x '' ']'
+ set_jvm
+ _set_java_home
+ '[' -z '' ']'
+ local _java_dirs=java
+ case "$_prefer_jre" in
+ _java_dirs='java jre'
+ for d in '$_java_dirs'
+ '[' -d /usr/lib/jvm/java ']'
+ for d in '$_java_dirs'
+ '[' -d /usr/lib/jvm/jre ']'
+ '[' -n '' ']'
++ which javac
+ java=/usr/bin/javac
+ '[' -z /usr/bin/javac ']'
+ '[' -n /usr/bin/javac ']'
+ '[' -h /usr/bin/javac ']'
++ readlink /usr/bin/javac
+ java=/etc/alternatives/javac
+ '[' -h /etc/alternatives/javac ']'
++ readlink /etc/alternatives/javac
+ java=/usr/java/jdk1.6.0_26/bin/javac
+ '[' -h /usr/java/jdk1.6.0_26/bin/javac ']'
++ dirname /usr/java/jdk1.6.0_26/bin/javac
+ JAVA_HOME=/usr/java/jdk1.6.0_26/bin/..
+ export JAVA_HOME
+ return
+ '[' -x /usr/java/jdk1.6.0_26/bin/../jre/sh/java ']'
+ '[' -x /usr/java/jdk1.6.0_26/bin/../bin/java ']'
+ JAVACMD=/usr/java/jdk1.6.0_26/bin/../bin/java
+ '[' '!' -x /usr/java/jdk1.6.0_26/bin/../bin/java ']'
+ '[' -n '' ']'
+ return 0
+ check_java_env
+ '[' -z /usr/java/jdk1.6.0_26/bin/.. ']'
+ '[' -z /usr/java/jdk1.6.0_26/bin/../bin/java ']'
+ '[' -z /usr/share/java ']'
+ '[' -z /usr/lib/java ']'
+ return 0
+ set_jvm_dirs
+ _set_java_home
+ '[' -z /usr/java/jdk1.6.0_26/bin/.. ']'
++ echo /usr/java/jdk1.6.0_26/bin/..
++ sed -n 's+/usr/lib/jvm/\([-_[:alnum:].]*\)\(.*\)+\1+p'
+ JVM_LIBDIR=/usr/lib/jvm-exports/
+ JAVA_VERSION=
+ re='\([[:digit:]]\{1,\}\.[[:digit:]]\{1,\}\(\.[[:digit:]]\{1,\}\)*\)'
+ for opt in -fullversion -version
++ /usr/java/jdk1.6.0_26/bin/../bin/java -fullversion
++ sed -n -e '/java \(full \)*version "/s/\([[:digit:]]\{1,\}\.[[:digit:]]\{1,\}\(\.[[:digit:]]\{1,\}\)*\)/<<<\1>>>/' -e '/java \(full \)*version "/s/.*<<<\([^>]\{1,\}\)>>>.*/\1/p'
+ JAVA_VERSION=1.6.0
+ '[' -n 1.6.0 ']'
+ break
+ JAVAVER_LIBDIR=/usr/share/java-1.6.0
+ JAVAVER_JNIDIR=/usr/lib/java-1.6.0
+ '[' '!' -d /usr/lib/jvm-exports/ ']'
+ '[' '!' -d /usr/share/java-1.6.0 ']'
+ '[' '!' -d /usr/lib/java-1.6.0 ']'
+ return 0
+ _ALLFOUND=true
+ for extension in '"$@"'
+ unset _JARS
++ find_jar ../jvm/java/lib/tools
+++ sed 's+\.jar$++g'
+++ echo ../jvm/java/lib/tools
++ extension=../jvm/java/lib/tools
+++ do_find_jar ../jvm/java/lib/tools
+++ extension=../jvm/java/lib/tools
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d /usr/lib/jvm-exports/ ']'
+++ '[' -r /usr/lib/jvm-exports//../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/lib/jvm-exports//../jvm/java/lib/tools ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d /usr/lib/java-1.6.0 ']'
+++ '[' -r /usr/lib/java-1.6.0/../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/lib/java-1.6.0/../jvm/java/lib/tools ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d /usr/share/java-1.6.0 ']'
+++ '[' -r /usr/share/java-1.6.0/../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/share/java-1.6.0/../jvm/java/lib/tools ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d '' ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d /usr/lib/java ']'
+++ '[' -r /usr/lib/java/../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/lib/java/../jvm/java/lib/tools ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d /usr/share/java ']'
+++ '[' -r /usr/share/java/../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/share/java/../jvm/java/lib/tools ']'
+++ return 1
++ found_extension=
++ found=1
++ '[' 1 '!=' 0 ']'
+++ grep -q -e '-[\.[:digit:]]*$'
+++ echo ../jvm/java/lib/tools
++ '[' 1 '!=' 0 ']'
+++ grep -q /
+++ echo ../jvm/java/lib/tools
+++ dirname ../jvm/java/lib/tools
++ extension=../jvm/java/lib
+++ do_find_jar ../jvm/java/lib
+++ extension=../jvm/java/lib
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d /usr/lib/jvm-exports/ ']'
+++ '[' -r /usr/lib/jvm-exports//../jvm/java/lib.jar ']'
+++ '[' -d /usr/lib/jvm-exports//../jvm/java/lib ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d /usr/lib/java-1.6.0 ']'
+++ '[' -r /usr/lib/java-1.6.0/../jvm/java/lib.jar ']'
+++ '[' -d /usr/lib/java-1.6.0/../jvm/java/lib ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d /usr/share/java-1.6.0 ']'
+++ '[' -r /usr/share/java-1.6.0/../jvm/java/lib.jar ']'
+++ '[' -d /usr/share/java-1.6.0/../jvm/java/lib ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d '' ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d /usr/lib/java ']'
+++ '[' -r /usr/lib/java/../jvm/java/lib.jar ']'
+++ '[' -d /usr/lib/java/../jvm/java/lib ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"'
+++ '[' -d /usr/share/java ']'
+++ '[' -r /usr/share/java/../jvm/java/lib.jar ']'
+++ '[' -d /usr/share/java/../jvm/java/lib ']'
+++ return 1
++ found_extension=
++ found=1
++ '[' 1 = 0 ']'
++ echo '/usr/bin/build-classpath: error: Could not find ../jvm/java/lib/tools Java extension for this JVM'
/usr/bin/build-classpath: error: Could not find ../jvm/java/lib/tools Java extension for this JVM
++ return 1
+ extension=
+ '[' 1 = 0 ']'
+ _ALLFOUND=false
++ sed 's+:$++g'
++ echo
+ _CLASSPATH=
+ echo ''
+ '[' false = true ']'
+ echo '/usr/bin/build-classpath: error: Some specified jars were not found'
/usr/bin/build-classpath: error: Some specified jars were not found
+ exit 6

$ rpm -qa | grep java-1.6.0-openjdk-devel
java-1.6.0-openjdk-devel-1.6.0.0-59.1.10.3.fc15.i686

I hope it help.

Comment 3 hannes 2011-09-12 15:57:31 UTC
Ok so it seems that you are running the "original" Java from Oracle besides OpenJDK. I would like to ask you to try the following commands:
alternatives --config java
alternatives --config javac

and please choose for now OpenJDK, just to test if it might work then. Also please add the output of the following:
rpm -qV jpackage-utils

Comment 4 Pavel Alexeev 2011-09-12 16:51:52 UTC
If I change javac alternative to openjdk it works without warning. It doesn't depend from java.

$ rpm -qV jpackage-utils
5S.T.....  c /etc/maven/maven2-depmap.xml

I have no think why it happened. I had reinstall it (yum reinstall jpackage-utils) then, but still see it:
$ rpm -qV jpackage-utils
5S.T.....  c /etc/maven/maven2-depmap.xml

Comment 5 Deepak Bhole 2011-09-12 17:05:35 UTC
The warning you are seeing with -qV is fine. That file is expected to change after installation.

The real problem then was the alternatives.. I am not sure why it messed up in the first place as /usr/lib/jvm/java/... should've always been valid.

If the issue is no longer reproducible, I think this bug should be okay to close.

Comment 6 Pavel Alexeev 2011-09-12 19:39:29 UTC
It is not reproducible on openjdk. So, then it may be closed now. But may be you will be so kind to give me hint how it may be fixed for Oracle Java too?

Comment 7 Deepak Bhole 2011-09-12 19:45:03 UTC
Sure. How are you installing/using Oracle Java?

Comment 8 Pavel Alexeev 2011-09-12 19:53:09 UTC
In standard way, from official site from binary rpm package.

Then install alternatives for main components (I can't exactly say command what is it, but it is rather standard)

Comment 9 Deepak Bhole 2011-09-12 20:01:47 UTC
How are you getting groovy to use it then? e.g. exporting JAVA_HOME?

Comment 10 Pavel Alexeev 2011-09-12 20:05:37 UTC
No. I have just switch system wide alternative to it.

Comment 11 Deepak Bhole 2011-09-12 20:11:40 UTC
AFAIK the Oracle RPM does not set up alternatives. Did you add the alternative yourself?

Comment 12 Pavel Alexeev 2011-09-12 20:21:46 UTC
Yes, as I said before. Do you think it was setup incorrectly?

Comment 13 Deepak Bhole 2011-09-12 20:45:36 UTC
Ah okay. Yes, then that is the issue. It explains how the alternatives became incorrect in the first place.

If you run rpm -q --scripts java-1.6.0-openjdk and rpm -q --scripts java-1.6.0-openjdk-devel, you will see the multiple links that they create (in %post). To ensure compatibility, you should create the slave links that the OpenJDK rpm creates.

Out of curiosity, why are you using Oracle JDK instead of OpenJDK? Does OpenJDK have any issues that you don't see with Oracle JDK?

Comment 14 Pavel Alexeev 2011-09-13 08:56:32 UTC
Thank you very much. I'll see what from that is missing fo binary Oracle Java variant an lead to this warning.

Comment 15 Deepak Bhole 2011-09-13 14:14:14 UTC
No problem! 

Lubomir, Johannes, if you are okay with this resolution, I think this bug is okay to close now.

Comment 16 hannes 2011-09-14 05:55:11 UTC
Doing this now, thanks for looking at this Deepak.

Comment 17 Pavel Alexeev 2012-03-04 08:51:45 UTC
Now I see it even on openjdk 1.7:

# LANG=C alternatives --config java

There are 4 programs which provide 'java'.

  Selection    Command
-----------------------------------------------
   1           /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/bin/java
 + 2           /usr/lib/jvm/jre-1.7.0-openjdk.x86_64/bin/java
   3           /usr/java/jdk1.7.0/jre/bin/java
*  4           /usr/java/jdk1.7.0_01/jre/bin/java

# LANG=C alternatives --config javac

There are 4 programs which provide 'javac'.

  Selection    Command
-----------------------------------------------
 + 1           /usr/lib/jvm/java-1.7.0-openjdk.x86_64/bin/javac
   2           /usr/java/jdk1.7.0/bin/javac
   3           /usr/lib/jvm/java-1.6.0-openjdk.x86_64/bin/javac
*  4           /usr/java/jdk1.7.0_01/bin/javac

$ groovy -e 'println "Test";'
/usr/bin/build-classpath: error: Could not find ../jvm/java/lib/tools Java extension for this JVM
/usr/bin/build-classpath: error: Some specified jars were not found
Test


$ sh -x /usr/bin/build-classpath ../jvm/java/lib/tools 2>&1
+ '[' -r /usr/share/java-utils/java-functions ']'
+ . /usr/share/java-utils/java-functions
++ _JAVA_HOME=
++ '[' -f /etc/java/java.conf ']'
++ . /etc/java/java.conf
+++ JAVA_LIBDIR=/usr/share/java
+++ JNI_LIBDIR=/usr/lib64/java
+++ JAVAJNI_LIBDIR=/usr/share/java-jni
+++ JVM_ROOT=/usr/lib/jvm
+++ JAVACMD_OPTS=
++ '[' -f /home/pasha/.java/java.conf ']'
++ '[' '!' -z '' -a -d '' ']'
+ '[' 1 -eq 0 ']'
+ set_javacmd
+ '[' -x '' ']'
+ set_jvm
+ _set_java_home
+ '[' -z '' ']'
+ local _java_dirs=java
+ case "$_prefer_jre" in
+ _java_dirs='java jre'
+ for d in '$_java_dirs'
+ '[' -d /usr/lib/jvm/java ']'
+ JAVA_HOME=/usr/lib/jvm/java
+ break
+ '[' -n /usr/lib/jvm/java ']'
+ return
+ '[' -x /usr/lib/jvm/java/jre/sh/java ']'
+ '[' -x /usr/lib/jvm/java/bin/java ']'
+ JAVACMD=/usr/lib/jvm/java/bin/java
+ '[' '!' -x /usr/lib/jvm/java/bin/java ']'
+ '[' -n '' ']'
+ return 0
+ check_java_env
+ '[' -z /usr/lib/jvm/java ']'
+ '[' -z /usr/lib/jvm/java/bin/java ']'
+ '[' -z /usr/share/java ']'
+ '[' -z /usr/lib64/java ']'
+ return 0
+ set_jvm_dirs
+ _set_java_home
+ '[' -z /usr/lib/jvm/java ']'
++ echo /usr/lib/jvm/java
++ sed -n 's+/usr/lib/jvm/\([-_[:alnum:].]*\)\(.*\)+\1+p'
+ JVM_LIBDIR=/usr/lib/jvm-exports/java
+ JAVA_VERSION=
+ re='\([[:digit:]]\{1,\}\.[[:digit:]]\{1,\}\(\.[[:digit:]]\{1,\}\)*\)'
+ for opt in -fullversion -version
++ /usr/lib/jvm/java/bin/java -fullversion
++ sed -n -e '/java \(full \)*version "/s/\([[:digit:]]\{1,\}\.[[:digit:]]\{1,\}\(\.[[:digit:]]\{1,\}\)*\)/<<<\1>>>/' -e '/java \(full \)*version "/s/.*<<<\([^>]\{1,\}\)>>>.*/\1/p'
+ JAVA_VERSION=1.7.0
+ '[' -n 1.7.0 ']'
+ break
+ JAVAVER_LIBDIR=/usr/share/java-1.7.0
+ JAVAVER_JNIDIR=/usr/lib64/java-1.7.0
+ '[' '!' -d /usr/lib/jvm-exports/java ']'
+ '[' '!' -d /usr/share/java-1.7.0 ']'
+ '[' '!' -d /usr/lib64/java-1.7.0 ']'
+ return 0
+ _ALLFOUND=true
+ for extension in '"$@"'
+ unset _JARS
++ find_jar ../jvm/java/lib/tools
+++ echo ../jvm/java/lib/tools
+++ sed 's+\.jar$++g'
++ extension=../jvm/java/lib/tools
+++ do_find_jar ../jvm/java/lib/tools
+++ extension=../jvm/java/lib/tools
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/lib/jvm-exports/java ']'
+++ '[' -r /usr/lib/jvm-exports/java/../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/lib/jvm-exports/java/../jvm/java/lib/tools ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/lib64/java-1.7.0 ']'
+++ '[' -r /usr/lib64/java-1.7.0/../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/lib64/java-1.7.0/../jvm/java/lib/tools ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/share/java-1.7.0 ']'
+++ '[' -r /usr/share/java-1.7.0/../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/share/java-1.7.0/../jvm/java/lib/tools ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d '' ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/lib64/java ']'
+++ '[' -r /usr/lib64/java/../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/lib64/java/../jvm/java/lib/tools ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/share/java ']'
+++ '[' -r /usr/share/java/../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/share/java/../jvm/java/lib/tools ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/share/java-jni ']'
+++ '[' -r /usr/share/java-jni/../jvm/java/lib/tools.jar ']'
+++ '[' -d /usr/share/java-jni/../jvm/java/lib/tools ']'
+++ return 1
++ found_extension=
++ found=1
++ '[' 1 '!=' 0 ']'
+++ echo ../jvm/java/lib/tools
+++ grep -q -e '-[\.[:digit:]]*$'
++ '[' 1 '!=' 0 ']'
+++ echo ../jvm/java/lib/tools
+++ grep -q /
+++ dirname ../jvm/java/lib/tools
++ extension=../jvm/java/lib
+++ do_find_jar ../jvm/java/lib
+++ extension=../jvm/java/lib
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/lib/jvm-exports/java ']'
+++ '[' -r /usr/lib/jvm-exports/java/../jvm/java/lib.jar ']'
+++ '[' -d /usr/lib/jvm-exports/java/../jvm/java/lib ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/lib64/java-1.7.0 ']'
+++ '[' -r /usr/lib64/java-1.7.0/../jvm/java/lib.jar ']'
+++ '[' -d /usr/lib64/java-1.7.0/../jvm/java/lib ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/share/java-1.7.0 ']'
+++ '[' -r /usr/share/java-1.7.0/../jvm/java/lib.jar ']'
+++ '[' -d /usr/share/java-1.7.0/../jvm/java/lib ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d '' ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/lib64/java ']'
+++ '[' -r /usr/lib64/java/../jvm/java/lib.jar ']'
+++ '[' -d /usr/lib64/java/../jvm/java/lib ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/share/java ']'
+++ '[' -r /usr/share/java/../jvm/java/lib.jar ']'
+++ '[' -d /usr/share/java/../jvm/java/lib ']'
+++ for jardir in '"$JVM_LIBDIR"' '"$JAVAVER_JNIDIR"' '"$JAVAVER_LIBDIR"' '"$JAVAAPP_LIBDIR"' '"$JNI_LIBDIR"' '"$JAVA_LIBDIR"' '"$JAVAJNI_LIBDIR"'
+++ '[' -d /usr/share/java-jni ']'
+++ '[' -r /usr/share/java-jni/../jvm/java/lib.jar ']'
+++ '[' -d /usr/share/java-jni/../jvm/java/lib ']'
+++ return 1
++ found_extension=
++ found=1
++ '[' 1 = 0 ']'
++ echo '/usr/bin/build-classpath: error: Could not find ../jvm/java/lib/tools Java extension for this JVM'
/usr/bin/build-classpath: error: Could not find ../jvm/java/lib/tools Java extension for this JVM
++ return 1
+ extension=
+ '[' 1 = 0 ']'
+ _ALLFOUND=false
++ echo
++ sed 's+:$++g'
+ _CLASSPATH=
+ echo ''

+ '[' false = true ']'
+ echo '/usr/bin/build-classpath: error: Some specified jars were not found'
/usr/bin/build-classpath: error: Some specified jars were not found
+ exit 6


I have not seen any errors in groovy functionality because that, but it is very annoying to see it each time.

Comment 18 Deepak Bhole 2012-03-09 16:30:16 UTC
Looks like the groovy script needs to be fixed. ../../jvm/java/lib/tools is the right path to search for (i.e. an extra ../ prefix)

Comment 19 Fedora Update System 2012-03-09 21:29:50 UTC
groovy-1.8.6-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/groovy-1.8.6-3.fc16

Comment 20 Fedora Update System 2012-03-09 21:30:08 UTC
groovy-1.8.6-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/groovy-1.8.6-3.fc17

Comment 21 Fedora Update System 2012-03-21 18:20:54 UTC
Package groovy-1.8.6-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing groovy-1.8.6-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4370/groovy-1.8.6-3.fc17
then log in and leave karma (feedback).

Comment 22 Fedora Update System 2012-03-21 20:33:09 UTC
groovy-1.8.6-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/groovy-1.8.6-4.fc17

Comment 23 Fedora Update System 2012-03-31 03:08:59 UTC
groovy-1.8.6-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2012-04-12 02:34:35 UTC
groovy-1.8.6-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 ppecka 2012-10-25 17:57:03 UTC
$ rpm -q groovy
groovy-1.8.7-1.fc17.noarch

groovy -e 'println "test";'
/usr/bin/build-classpath: error: Could not find ../../jvm/java/lib/tools Java extension for this JVM
/usr/bin/build-classpath: error: Some specified jars were not found

Comment 26 Mikolaj Izdebski 2014-01-13 14:26:40 UTC
Still reproducible in rawhide:

$ rpm -q groovy
groovy-1.8.9-7.fc21.noarch

$ groovy -e 'println "test";'
/usr/bin/build-classpath: Could not find ../../jvm/java/lib Java extension for this JVM
/usr/bin/build-classpath: error: Some specified jars were not found
test

I'll fix this.

Comment 27 Mikolaj Izdebski 2014-01-13 14:29:10 UTC
Fedora 15 is EOL. Moving to Fedora 18.

Comment 28 Mikolaj Izdebski 2014-01-13 14:30:30 UTC
Fixed in groovy-1.8.9-8

Comment 29 Mikolaj Izdebski 2014-01-13 15:13:43 UTC
I believe that this bug is fixed in groovy-1.8.9-8,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=490354

This bug was fixed in the next release of Fedora, and is not planned
to be fixed in the release it was filed against.  If you want this bug
to be fixed in updates for Fedora 18, please say so in a comment.
Otherwise you can update to the newer release of Fedora to get the fix.